Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class GeneratedFileInfo

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.GeneratedFileInfo

public class GeneratedFileInfo
extends java.lang.Object

File info available after emit to describe what exactly was created by the Emitter.

Author:
  Tom Jordahl (tomj@macromedia.com)

Inner Class Summary
`class` | `GeneratedFileInfo.Entry` Structure to hold entries.

Field Summary
`protected java.util.ArrayList` | `list`

Constructor Summary
`GeneratedFileInfo()` Construct an empty file info list.

Method Summary
`void` | `add(java.lang.String name, java.lang.String className, java.lang.String type)` Add an entry
`GeneratedFileInfo.Entry` | `findClass(java.lang.String className)` Lookup an entry by class name
`GeneratedFileInfo.Entry` | `findName(java.lang.String fileName)` Lookup an entry by file name
`java.util.List` | `findType(java.lang.String type)` Lookup an entry by type.
`java.util.List` | `getClassNames()` Get the list of generated classes
`java.util.List` | `getFileNames()` Get the list of generated filenames
`java.util.List` | `getList()` Return the entire list of generated files
`java.lang.String` | `toString()` Convert all entries in the list to a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    protected java.util.ArrayList list

Constructor Detail

### GeneratedFileInfo

    public GeneratedFileInfo()

  Construct an empty file info list.

Method Detail

### getList

    public java.util.List getList()

  Return the entire list of generated files

### add

    public void add(java.lang.String name,
                    java.lang.String className,
                    java.lang.String type)

  Add an entry

### findType

    public java.util.List findType(java.lang.String type)

  Lookup an entry by type.
  Valid type values are: stub, interface, complexType, enumType, fault, holder, skeleton, skeletonImpl, service, deploy, undeploy, testCase
  Parameters:
    `type` - of objects you want info about
  Returns:
    A list of `org.apache.axis.wsdl.toJava.GeneratedFileInfo.Entry` objects. Null if no objects found.

### findName

    public GeneratedFileInfo.Entry findName(java.lang.String fileName)

  Lookup an entry by file name
  Parameters:
    `file` - name you want info about
  Returns:
    The entry for the file name specified. Null if not found

### findClass

    public GeneratedFileInfo.Entry findClass(java.lang.String className)

  Lookup an entry by class name
  Parameters:
    `class` - name you want info about
  Returns:
    The entry for the class specified. Null if not found

### getClassNames

    public java.util.List getClassNames()

  Get the list of generated classes

### getFileNames

    public java.util.List getFileNames()

  Get the list of generated filenames

### toString

    public java.lang.String toString()

  Convert all entries in the list to a string
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.